Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.3.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
237.3.0.0
Broadcast address
237.3.63.255
First usable
237.3.0.1
Last usable
237.3.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex ED030000 · Integer 3976396800 to 3976413183
Reverse DNS zones
0.3.237.in-addr.arpa
1.3.237.in-addr.arpa
2.3.237.in-addr.arpa
3.3.237.in-addr.arpa
4.3.237.in-addr.arpa
5.3.237.in-addr.arpa
6.3.237.in-addr.arpa
7.3.237.in-addr.arpa
8.3.237.in-addr.arpa
9.3.237.in-addr.arpa
10.3.237.in-addr.arpa
11.3.237.in-addr.arpa
12.3.237.in-addr.arpa
13.3.237.in-addr.arpa
14.3.237.in-addr.arpa
15.3.237.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101.00000011.00000000.00000000237.3.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11101101.00000011.00000000.00000000237.3.0.0
Broadcast11101101.00000011.00111111.11111111237.3.63.255
Split into smaller subnets/29

237.3.0.0/18 makes 2,048 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.3.0.0/29237.3.0.1 to 237.3.0.6237.3.0.76
2237.3.0.8/29237.3.0.9 to 237.3.0.14237.3.0.156
3237.3.0.16/29237.3.0.17 to 237.3.0.22237.3.0.236
4237.3.0.24/29237.3.0.25 to 237.3.0.30237.3.0.316
5237.3.0.32/29237.3.0.33 to 237.3.0.38237.3.0.396
6237.3.0.40/29237.3.0.41 to 237.3.0.46237.3.0.476
7237.3.0.48/29237.3.0.49 to 237.3.0.54237.3.0.556
8237.3.0.56/29237.3.0.57 to 237.3.0.62237.3.0.636
9237.3.0.64/29237.3.0.65 to 237.3.0.70237.3.0.716
10237.3.0.72/29237.3.0.73 to 237.3.0.78237.3.0.796
11237.3.0.80/29237.3.0.81 to 237.3.0.86237.3.0.876
12237.3.0.88/29237.3.0.89 to 237.3.0.94237.3.0.956
13237.3.0.96/29237.3.0.97 to 237.3.0.102237.3.0.1036
14237.3.0.104/29237.3.0.105 to 237.3.0.110237.3.0.1116
15237.3.0.112/29237.3.0.113 to 237.3.0.118237.3.0.1196
16237.3.0.120/29237.3.0.121 to 237.3.0.126237.3.0.1276
17237.3.0.128/29237.3.0.129 to 237.3.0.134237.3.0.1356
18237.3.0.136/29237.3.0.137 to 237.3.0.142237.3.0.1436
19237.3.0.144/29237.3.0.145 to 237.3.0.150237.3.0.1516
20237.3.0.152/29237.3.0.153 to 237.3.0.158237.3.0.1596
21237.3.0.160/29237.3.0.161 to 237.3.0.166237.3.0.1676
22237.3.0.168/29237.3.0.169 to 237.3.0.174237.3.0.1756
23237.3.0.176/29237.3.0.177 to 237.3.0.182237.3.0.1836
24237.3.0.184/29237.3.0.185 to 237.3.0.190237.3.0.1916
25237.3.0.192/29237.3.0.193 to 237.3.0.198237.3.0.1996
26237.3.0.200/29237.3.0.201 to 237.3.0.206237.3.0.2076
27237.3.0.208/29237.3.0.209 to 237.3.0.214237.3.0.2156
28237.3.0.216/29237.3.0.217 to 237.3.0.222237.3.0.2236
29237.3.0.224/29237.3.0.225 to 237.3.0.230237.3.0.2316
30237.3.0.232/29237.3.0.233 to 237.3.0.238237.3.0.2396
31237.3.0.240/29237.3.0.241 to 237.3.0.246237.3.0.2476
32237.3.0.248/29237.3.0.249 to 237.3.0.254237.3.0.2556
33237.3.1.0/29237.3.1.1 to 237.3.1.6237.3.1.76
34237.3.1.8/29237.3.1.9 to 237.3.1.14237.3.1.156
35237.3.1.16/29237.3.1.17 to 237.3.1.22237.3.1.236
36237.3.1.24/29237.3.1.25 to 237.3.1.30237.3.1.316
37237.3.1.32/29237.3.1.33 to 237.3.1.38237.3.1.396
38237.3.1.40/29237.3.1.41 to 237.3.1.46237.3.1.476
39237.3.1.48/29237.3.1.49 to 237.3.1.54237.3.1.556
40237.3.1.56/29237.3.1.57 to 237.3.1.62237.3.1.636
41237.3.1.64/29237.3.1.65 to 237.3.1.70237.3.1.716
42237.3.1.72/29237.3.1.73 to 237.3.1.78237.3.1.796
43237.3.1.80/29237.3.1.81 to 237.3.1.86237.3.1.876
44237.3.1.88/29237.3.1.89 to 237.3.1.94237.3.1.956
45237.3.1.96/29237.3.1.97 to 237.3.1.102237.3.1.1036
46237.3.1.104/29237.3.1.105 to 237.3.1.110237.3.1.1116
47237.3.1.112/29237.3.1.113 to 237.3.1.118237.3.1.1196
48237.3.1.120/29237.3.1.121 to 237.3.1.126237.3.1.1276
49237.3.1.128/29237.3.1.129 to 237.3.1.134237.3.1.1356
50237.3.1.136/29237.3.1.137 to 237.3.1.142237.3.1.1436
51237.3.1.144/29237.3.1.145 to 237.3.1.150237.3.1.1516
52237.3.1.152/29237.3.1.153 to 237.3.1.158237.3.1.1596
53237.3.1.160/29237.3.1.161 to 237.3.1.166237.3.1.1676
54237.3.1.168/29237.3.1.169 to 237.3.1.174237.3.1.1756
55237.3.1.176/29237.3.1.177 to 237.3.1.182237.3.1.1836
56237.3.1.184/29237.3.1.185 to 237.3.1.190237.3.1.1916
57237.3.1.192/29237.3.1.193 to 237.3.1.198237.3.1.1996
58237.3.1.200/29237.3.1.201 to 237.3.1.206237.3.1.2076
59237.3.1.208/29237.3.1.209 to 237.3.1.214237.3.1.2156
60237.3.1.216/29237.3.1.217 to 237.3.1.222237.3.1.2236
61237.3.1.224/29237.3.1.225 to 237.3.1.230237.3.1.2316
62237.3.1.232/29237.3.1.233 to 237.3.1.238237.3.1.2396
63237.3.1.240/29237.3.1.241 to 237.3.1.246237.3.1.2476
64237.3.1.248/29237.3.1.249 to 237.3.1.254237.3.1.2556
65237.3.2.0/29237.3.2.1 to 237.3.2.6237.3.2.76
66237.3.2.8/29237.3.2.9 to 237.3.2.14237.3.2.156
67237.3.2.16/29237.3.2.17 to 237.3.2.22237.3.2.236
68237.3.2.24/29237.3.2.25 to 237.3.2.30237.3.2.316
69237.3.2.32/29237.3.2.33 to 237.3.2.38237.3.2.396
70237.3.2.40/29237.3.2.41 to 237.3.2.46237.3.2.476
71237.3.2.48/29237.3.2.49 to 237.3.2.54237.3.2.556
72237.3.2.56/29237.3.2.57 to 237.3.2.62237.3.2.636
73237.3.2.64/29237.3.2.65 to 237.3.2.70237.3.2.716
74237.3.2.72/29237.3.2.73 to 237.3.2.78237.3.2.796
75237.3.2.80/29237.3.2.81 to 237.3.2.86237.3.2.876
76237.3.2.88/29237.3.2.89 to 237.3.2.94237.3.2.956
77237.3.2.96/29237.3.2.97 to 237.3.2.102237.3.2.1036
78237.3.2.104/29237.3.2.105 to 237.3.2.110237.3.2.1116
79237.3.2.112/29237.3.2.113 to 237.3.2.118237.3.2.1196
80237.3.2.120/29237.3.2.121 to 237.3.2.126237.3.2.1276
81237.3.2.128/29237.3.2.129 to 237.3.2.134237.3.2.1356
82237.3.2.136/29237.3.2.137 to 237.3.2.142237.3.2.1436
83237.3.2.144/29237.3.2.145 to 237.3.2.150237.3.2.1516
84237.3.2.152/29237.3.2.153 to 237.3.2.158237.3.2.1596
85237.3.2.160/29237.3.2.161 to 237.3.2.166237.3.2.1676
86237.3.2.168/29237.3.2.169 to 237.3.2.174237.3.2.1756
87237.3.2.176/29237.3.2.177 to 237.3.2.182237.3.2.1836
88237.3.2.184/29237.3.2.185 to 237.3.2.190237.3.2.1916
89237.3.2.192/29237.3.2.193 to 237.3.2.198237.3.2.1996
90237.3.2.200/29237.3.2.201 to 237.3.2.206237.3.2.2076
91237.3.2.208/29237.3.2.209 to 237.3.2.214237.3.2.2156
92237.3.2.216/29237.3.2.217 to 237.3.2.222237.3.2.2236
93237.3.2.224/29237.3.2.225 to 237.3.2.230237.3.2.2316
94237.3.2.232/29237.3.2.233 to 237.3.2.238237.3.2.2396
95237.3.2.240/29237.3.2.241 to 237.3.2.246237.3.2.2476
96237.3.2.248/29237.3.2.249 to 237.3.2.254237.3.2.2556
97237.3.3.0/29237.3.3.1 to 237.3.3.6237.3.3.76
98237.3.3.8/29237.3.3.9 to 237.3.3.14237.3.3.156
99237.3.3.16/29237.3.3.17 to 237.3.3.22237.3.3.236
100237.3.3.24/29237.3.3.25 to 237.3.3.30237.3.3.316
101237.3.3.32/29237.3.3.33 to 237.3.3.38237.3.3.396
102237.3.3.40/29237.3.3.41 to 237.3.3.46237.3.3.476
103237.3.3.48/29237.3.3.49 to 237.3.3.54237.3.3.556
104237.3.3.56/29237.3.3.57 to 237.3.3.62237.3.3.636
105237.3.3.64/29237.3.3.65 to 237.3.3.70237.3.3.716
106237.3.3.72/29237.3.3.73 to 237.3.3.78237.3.3.796
107237.3.3.80/29237.3.3.81 to 237.3.3.86237.3.3.876
108237.3.3.88/29237.3.3.89 to 237.3.3.94237.3.3.956
109237.3.3.96/29237.3.3.97 to 237.3.3.102237.3.3.1036
110237.3.3.104/29237.3.3.105 to 237.3.3.110237.3.3.1116
111237.3.3.112/29237.3.3.113 to 237.3.3.118237.3.3.1196
112237.3.3.120/29237.3.3.121 to 237.3.3.126237.3.3.1276
113237.3.3.128/29237.3.3.129 to 237.3.3.134237.3.3.1356
114237.3.3.136/29237.3.3.137 to 237.3.3.142237.3.3.1436
115237.3.3.144/29237.3.3.145 to 237.3.3.150237.3.3.1516
116237.3.3.152/29237.3.3.153 to 237.3.3.158237.3.3.1596
117237.3.3.160/29237.3.3.161 to 237.3.3.166237.3.3.1676
118237.3.3.168/29237.3.3.169 to 237.3.3.174237.3.3.1756
119237.3.3.176/29237.3.3.177 to 237.3.3.182237.3.3.1836
120237.3.3.184/29237.3.3.185 to 237.3.3.190237.3.3.1916
121237.3.3.192/29237.3.3.193 to 237.3.3.198237.3.3.1996
122237.3.3.200/29237.3.3.201 to 237.3.3.206237.3.3.2076
123237.3.3.208/29237.3.3.209 to 237.3.3.214237.3.3.2156
124237.3.3.216/29237.3.3.217 to 237.3.3.222237.3.3.2236
125237.3.3.224/29237.3.3.225 to 237.3.3.230237.3.3.2316
126237.3.3.232/29237.3.3.233 to 237.3.3.238237.3.3.2396
127237.3.3.240/29237.3.3.241 to 237.3.3.246237.3.3.2476
128237.3.3.248/29237.3.3.249 to 237.3.3.254237.3.3.2556
129237.3.4.0/29237.3.4.1 to 237.3.4.6237.3.4.76
130237.3.4.8/29237.3.4.9 to 237.3.4.14237.3.4.156
131237.3.4.16/29237.3.4.17 to 237.3.4.22237.3.4.236
132237.3.4.24/29237.3.4.25 to 237.3.4.30237.3.4.316
133237.3.4.32/29237.3.4.33 to 237.3.4.38237.3.4.396
134237.3.4.40/29237.3.4.41 to 237.3.4.46237.3.4.476
135237.3.4.48/29237.3.4.49 to 237.3.4.54237.3.4.556
136237.3.4.56/29237.3.4.57 to 237.3.4.62237.3.4.636
137237.3.4.64/29237.3.4.65 to 237.3.4.70237.3.4.716
138237.3.4.72/29237.3.4.73 to 237.3.4.78237.3.4.796
139237.3.4.80/29237.3.4.81 to 237.3.4.86237.3.4.876
140237.3.4.88/29237.3.4.89 to 237.3.4.94237.3.4.956
141237.3.4.96/29237.3.4.97 to 237.3.4.102237.3.4.1036
142237.3.4.104/29237.3.4.105 to 237.3.4.110237.3.4.1116
143237.3.4.112/29237.3.4.113 to 237.3.4.118237.3.4.1196
144237.3.4.120/29237.3.4.121 to 237.3.4.126237.3.4.1276
145237.3.4.128/29237.3.4.129 to 237.3.4.134237.3.4.1356
146237.3.4.136/29237.3.4.137 to 237.3.4.142237.3.4.1436
147237.3.4.144/29237.3.4.145 to 237.3.4.150237.3.4.1516
148237.3.4.152/29237.3.4.153 to 237.3.4.158237.3.4.1596
149237.3.4.160/29237.3.4.161 to 237.3.4.166237.3.4.1676
150237.3.4.168/29237.3.4.169 to 237.3.4.174237.3.4.1756
151237.3.4.176/29237.3.4.177 to 237.3.4.182237.3.4.1836
152237.3.4.184/29237.3.4.185 to 237.3.4.190237.3.4.1916
153237.3.4.192/29237.3.4.193 to 237.3.4.198237.3.4.1996
154237.3.4.200/29237.3.4.201 to 237.3.4.206237.3.4.2076
155237.3.4.208/29237.3.4.209 to 237.3.4.214237.3.4.2156
156237.3.4.216/29237.3.4.217 to 237.3.4.222237.3.4.2236
157237.3.4.224/29237.3.4.225 to 237.3.4.230237.3.4.2316
158237.3.4.232/29237.3.4.233 to 237.3.4.238237.3.4.2396
159237.3.4.240/29237.3.4.241 to 237.3.4.246237.3.4.2476
160237.3.4.248/29237.3.4.249 to 237.3.4.254237.3.4.2556
161237.3.5.0/29237.3.5.1 to 237.3.5.6237.3.5.76
162237.3.5.8/29237.3.5.9 to 237.3.5.14237.3.5.156
163237.3.5.16/29237.3.5.17 to 237.3.5.22237.3.5.236
164237.3.5.24/29237.3.5.25 to 237.3.5.30237.3.5.316
165237.3.5.32/29237.3.5.33 to 237.3.5.38237.3.5.396
166237.3.5.40/29237.3.5.41 to 237.3.5.46237.3.5.476
167237.3.5.48/29237.3.5.49 to 237.3.5.54237.3.5.556
168237.3.5.56/29237.3.5.57 to 237.3.5.62237.3.5.636
169237.3.5.64/29237.3.5.65 to 237.3.5.70237.3.5.716
170237.3.5.72/29237.3.5.73 to 237.3.5.78237.3.5.796
171237.3.5.80/29237.3.5.81 to 237.3.5.86237.3.5.876
172237.3.5.88/29237.3.5.89 to 237.3.5.94237.3.5.956
173237.3.5.96/29237.3.5.97 to 237.3.5.102237.3.5.1036
174237.3.5.104/29237.3.5.105 to 237.3.5.110237.3.5.1116
175237.3.5.112/29237.3.5.113 to 237.3.5.118237.3.5.1196
176237.3.5.120/29237.3.5.121 to 237.3.5.126237.3.5.1276
177237.3.5.128/29237.3.5.129 to 237.3.5.134237.3.5.1356
178237.3.5.136/29237.3.5.137 to 237.3.5.142237.3.5.1436
179237.3.5.144/29237.3.5.145 to 237.3.5.150237.3.5.1516
180237.3.5.152/29237.3.5.153 to 237.3.5.158237.3.5.1596
181237.3.5.160/29237.3.5.161 to 237.3.5.166237.3.5.1676
182237.3.5.168/29237.3.5.169 to 237.3.5.174237.3.5.1756
183237.3.5.176/29237.3.5.177 to 237.3.5.182237.3.5.1836
184237.3.5.184/29237.3.5.185 to 237.3.5.190237.3.5.1916
185237.3.5.192/29237.3.5.193 to 237.3.5.198237.3.5.1996
186237.3.5.200/29237.3.5.201 to 237.3.5.206237.3.5.2076
187237.3.5.208/29237.3.5.209 to 237.3.5.214237.3.5.2156
188237.3.5.216/29237.3.5.217 to 237.3.5.222237.3.5.2236
189237.3.5.224/29237.3.5.225 to 237.3.5.230237.3.5.2316
190237.3.5.232/29237.3.5.233 to 237.3.5.238237.3.5.2396
191237.3.5.240/29237.3.5.241 to 237.3.5.246237.3.5.2476
192237.3.5.248/29237.3.5.249 to 237.3.5.254237.3.5.2556
193237.3.6.0/29237.3.6.1 to 237.3.6.6237.3.6.76
194237.3.6.8/29237.3.6.9 to 237.3.6.14237.3.6.156
195237.3.6.16/29237.3.6.17 to 237.3.6.22237.3.6.236
196237.3.6.24/29237.3.6.25 to 237.3.6.30237.3.6.316
197237.3.6.32/29237.3.6.33 to 237.3.6.38237.3.6.396
198237.3.6.40/29237.3.6.41 to 237.3.6.46237.3.6.476
199237.3.6.48/29237.3.6.49 to 237.3.6.54237.3.6.556
200237.3.6.56/29237.3.6.57 to 237.3.6.62237.3.6.636
201237.3.6.64/29237.3.6.65 to 237.3.6.70237.3.6.716
202237.3.6.72/29237.3.6.73 to 237.3.6.78237.3.6.796
203237.3.6.80/29237.3.6.81 to 237.3.6.86237.3.6.876
204237.3.6.88/29237.3.6.89 to 237.3.6.94237.3.6.956
205237.3.6.96/29237.3.6.97 to 237.3.6.102237.3.6.1036
206237.3.6.104/29237.3.6.105 to 237.3.6.110237.3.6.1116
207237.3.6.112/29237.3.6.113 to 237.3.6.118237.3.6.1196
208237.3.6.120/29237.3.6.121 to 237.3.6.126237.3.6.1276
209237.3.6.128/29237.3.6.129 to 237.3.6.134237.3.6.1356
210237.3.6.136/29237.3.6.137 to 237.3.6.142237.3.6.1436
211237.3.6.144/29237.3.6.145 to 237.3.6.150237.3.6.1516
212237.3.6.152/29237.3.6.153 to 237.3.6.158237.3.6.1596
213237.3.6.160/29237.3.6.161 to 237.3.6.166237.3.6.1676
214237.3.6.168/29237.3.6.169 to 237.3.6.174237.3.6.1756
215237.3.6.176/29237.3.6.177 to 237.3.6.182237.3.6.1836
216237.3.6.184/29237.3.6.185 to 237.3.6.190237.3.6.1916
217237.3.6.192/29237.3.6.193 to 237.3.6.198237.3.6.1996
218237.3.6.200/29237.3.6.201 to 237.3.6.206237.3.6.2076
219237.3.6.208/29237.3.6.209 to 237.3.6.214237.3.6.2156
220237.3.6.216/29237.3.6.217 to 237.3.6.222237.3.6.2236
221237.3.6.224/29237.3.6.225 to 237.3.6.230237.3.6.2316
222237.3.6.232/29237.3.6.233 to 237.3.6.238237.3.6.2396
223237.3.6.240/29237.3.6.241 to 237.3.6.246237.3.6.2476
224237.3.6.248/29237.3.6.249 to 237.3.6.254237.3.6.2556
225237.3.7.0/29237.3.7.1 to 237.3.7.6237.3.7.76
226237.3.7.8/29237.3.7.9 to 237.3.7.14237.3.7.156
227237.3.7.16/29237.3.7.17 to 237.3.7.22237.3.7.236
228237.3.7.24/29237.3.7.25 to 237.3.7.30237.3.7.316
229237.3.7.32/29237.3.7.33 to 237.3.7.38237.3.7.396
230237.3.7.40/29237.3.7.41 to 237.3.7.46237.3.7.476
231237.3.7.48/29237.3.7.49 to 237.3.7.54237.3.7.556
232237.3.7.56/29237.3.7.57 to 237.3.7.62237.3.7.636
233237.3.7.64/29237.3.7.65 to 237.3.7.70237.3.7.716
234237.3.7.72/29237.3.7.73 to 237.3.7.78237.3.7.796
235237.3.7.80/29237.3.7.81 to 237.3.7.86237.3.7.876
236237.3.7.88/29237.3.7.89 to 237.3.7.94237.3.7.956
237237.3.7.96/29237.3.7.97 to 237.3.7.102237.3.7.1036
238237.3.7.104/29237.3.7.105 to 237.3.7.110237.3.7.1116
239237.3.7.112/29237.3.7.113 to 237.3.7.118237.3.7.1196
240237.3.7.120/29237.3.7.121 to 237.3.7.126237.3.7.1276
241237.3.7.128/29237.3.7.129 to 237.3.7.134237.3.7.1356
242237.3.7.136/29237.3.7.137 to 237.3.7.142237.3.7.1436
243237.3.7.144/29237.3.7.145 to 237.3.7.150237.3.7.1516
244237.3.7.152/29237.3.7.153 to 237.3.7.158237.3.7.1596
245237.3.7.160/29237.3.7.161 to 237.3.7.166237.3.7.1676
246237.3.7.168/29237.3.7.169 to 237.3.7.174237.3.7.1756
247237.3.7.176/29237.3.7.177 to 237.3.7.182237.3.7.1836
248237.3.7.184/29237.3.7.185 to 237.3.7.190237.3.7.1916
249237.3.7.192/29237.3.7.193 to 237.3.7.198237.3.7.1996
250237.3.7.200/29237.3.7.201 to 237.3.7.206237.3.7.2076
251237.3.7.208/29237.3.7.209 to 237.3.7.214237.3.7.2156
252237.3.7.216/29237.3.7.217 to 237.3.7.222237.3.7.2236
253237.3.7.224/29237.3.7.225 to 237.3.7.230237.3.7.2316
254237.3.7.232/29237.3.7.233 to 237.3.7.238237.3.7.2396
255237.3.7.240/29237.3.7.241 to 237.3.7.246237.3.7.2476
256237.3.7.248/29237.3.7.249 to 237.3.7.254237.3.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses